html {
    /* font */
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
}

body {
    /* background */
    background: #33AFE5 url('../img/login-background.png') center no-repeat fixed;
    /* To swap out background images, use method at the bottom of the accompaying HTML file */

    background-size: cover;
    /* sizing */
    height: 100%;
}

main {
    /* display */
    display: flex;
    flex-direction: column;
    /* box model */
    padding: 50px;
    border-radius: 8px;
    margin: auto;
    /* color */
    background-color: #fff;
    /* sizing */
    width: 400px;
    height: auto;
    /* positioning */
    position: fixed;
    z-index: 100;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* style */
    box-shadow: 0px 4px 30px 0px rgba(0, 0, 0, 0.10);
    caret-color: transparent;
}

.logo-image {
    /* sizing */
    max-width: 275px;
    max-height: 100px;
    height: auto;
    margin-bottom: 40px;
}

h1 {
    /* text */
    font-weight: 400;
    font-size: 1.5rem;
    color: #10689D;
    /* css grid */
    grid-column: 1/3;
}


label {
    margin: 8px 0 0;
}

.required {
    color: #E50000;
}

.form-control {
    border: 1px solid #909FAE;
}

#password-line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0;
    padding: 0;
}

button#hide-show-password {
    justify-self: flex-end;
    vertical-align: middle;
    border: none;
    background-color: transparent;
    padding-right: 16px;
}

#show-pw {
    display: block;
    float: right;
}

#hide-pw {
    display: none;
    float: right;
}

#password {
    margin-right: -70px;
}

input[type="text"],
input[type="password"] {
    margin: 8px 0;
    height: 2.75rem;
    border-radius: 4px;
    caret-color: #000;
}

input+small {
    display: none;
    color: #E50000;
    margin-bottom: 1em;
}

.mri-mb-medium {
    margin-bottom: 16px;
}

.form-group {
    margin-bottom: 0;
}

button:disabled {
    opacity: 50%;
}

.btn {
    border-radius: 4px;
    width: 100%;
    padding: 5px 17px;
    margin: 8px 0;
}

.btn-primary {
    background-color: #10689D !important;
    color: #fff;
}

.btn-primary:hover {
    background-color: #0582C3;
}

.btn-primary:active {
    border: 1px solid #0582C3;
}

@keyframes rotation {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(359deg);
    }
  }

.btn-primary #loading {
    display: none;
    margin: auto;
    animation: rotation 2s infinite linear;
}

button[type="submit"] {
    margin-top: 20px;
}

.btn-default {
    color: #10689D;
    border: 1px solid #909FAE;
}

.btn-default:hover {
    background: rgba(58, 157, 210, 0.10);
    color: #10689D;
}

.btn-default:active {
    background: rgba(58, 157, 210, 0.20);
}

.btn-quiet {
    border-color: transparent;
}

a {
    color: #394754;
    text-decoration: underline;
    text-underline-offset: 2px;
}

a:hover {
    color: #162029;
}

footer {
    /* style */
    background-color: #fff;
    color: #607184;
    /* sizing */
    width: 100%;
    height: 42px;
    /* positioning */
    position: fixed;
    bottom: 0;
    /* text */
    text-align: center;
    line-height: 20px;
    font-size: 12px;
    /* box model */
    padding: 12px;
}
